Loading...
Searching...
No Matches
argagg::option_lacks_argument_error Struct Reference

This exception is thrown when an option requires an argument but is not provided one. This can happen if another flag was found after the option or if we simply reach the end of the command line arguments. More...

`#include <argagg.hpp>`

Inheritance diagram for argagg::option_lacks_argument_error:

## Public Member Functions

T | runtime_error (T... args)
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)
Public Member Functions inherited from std::exception
T | what (T... args)
T | ~exception (T... args)
T | operator= (T... args)
T | exception (T... args)

## Detailed Description

This exception is thrown when an option requires an argument but is not provided one. This can happen if another flag was found after the option or if we simply reach the end of the command line arguments.

Definition at line 128 of file argagg.hpp.

## Member Function Documentation

## runtime_error()

T std::runtime_error::runtime_error | ( | T... | args | ) |

The documentation for this struct was generated from the following file:

- argagg.hpp